JUCE: dsp::Reverb Class Reference

JUCE

Public Types | Public Member Functions | List of all members
dsp::Reverb Class Reference
juce_dsp » widgets

Processor wrapper around juce::Reverb for easy integration into ProcessorChain. More...

`#include <juce_Reverb.h>`

## Public Types
using | Parameters = juce::Reverb::Parameters

## Public Member Functions
| Reverb ()=default
| Creates an uninitialised Reverb processor. More...
const Parameters & | getParameters () const noexcept
| Returns the reverb's current parameters. More...
void | setParameters (const Parameters &newParams)
| Applies a new set of parameters to the reverb. More...
bool | isEnabled () const noexcept
| Returns true if the reverb is enabled. More...
void | setEnabled (bool newValue) noexcept
| Enables/disables the reverb. More...
void | prepare (const ProcessSpec &spec)
| Initialises the reverb. More...
void | reset () noexcept
| Resets the reverb's internal state. More...
template<typename ProcessContext >
void | process (const ProcessContext &context) noexcept
| Applies the reverb to a mono or stereo buffer. More...

## Detailed Description

Processor wrapper around juce::Reverb for easy integration into ProcessorChain.

## Member Typedef Documentation

## ◆ Parameters

using dsp::Reverb::Parameters = juce::Reverb::Parameters

## Constructor & Destructor Documentation

## ◆ Reverb()

dsp::Reverb::Reverb | ( |  | ) |
| default

Creates an uninitialised Reverb processor.

Call prepare() before first use.

## Member Function Documentation

## ◆ getParameters()

const Parameters & dsp::Reverb::getParameters | ( |  | ) | const
| noexcept

Returns the reverb's current parameters.

## ◆ setParameters()

void dsp::Reverb::setParameters | ( | const Parameters & | newParams | ) |

Applies a new set of parameters to the reverb.

Note that this doesn't attempt to lock the reverb, so if you call this in parallel with the process method, you may get artifacts.

## ◆ isEnabled()

bool dsp::Reverb::isEnabled | ( |  | ) | const
| noexcept

Returns true if the reverb is enabled.

## ◆ setEnabled()

void dsp::Reverb::setEnabled | ( | bool | newValue | ) |
| noexcept

Enables/disables the reverb.

## ◆ prepare()

void dsp::Reverb::prepare | ( | const ProcessSpec & | spec | ) |

Initialises the reverb.

References dsp::ProcessSpec::sampleRate.

## ◆ reset()

void dsp::Reverb::reset | ( |  | ) |
| noexcept

Resets the reverb's internal state.

## ◆ process()

template<typename ProcessContext >

void dsp::Reverb::process | ( | const ProcessContext & | context | ) |
| noexcept

Applies the reverb to a mono or stereo buffer.

References jassert, and jassertfalse.

The documentation for this class was generated from the following file:

- juce_dsp/widgets/juce_Reverb.h